Dios Mios Problem

Discussion in 'Wii - Hacking' started by BlackWizzard17, Dec 3, 2012.

Dec 3, 2012

Dios Mios Problem by BlackWizzard17 at 12:25 AM (3,281 Views / 0 Likes) 20 replies

  1. BlackWizzard17
    OP

    Member BlackWizzard17 Don't worry Captin we'll buff out those scratches.

    Joined:
    Dec 1, 2012
    Messages:
    978
    Location:
    E-Arth
    Country:
    United States
    omg. i need help, i installed cios 222/223 v4 (222 cios installer) so i could watch dvds on my wii,then i installed 202 cios (38-0) wad v4.now when i install dios mios wad (always works) it says i needs to be installed when i already did,pls someone help me.
     


  2. d.d.d.

    Member d.d.d. GBAtemp Fan

    Joined:
    Jun 26, 2012
    Messages:
    430
    Location:
    Tokyo Metropolis
    Country:
    Japan
    That was a little unclear. But if I got your gist, it sounds perhaps like you installed the wrong Dios Mios for what you're trying to accomplish (DM vs DML for example).
    If that's not the case, reply and be clear as to what your problem exactly is.
     
  3. BlackWizzard17
    OP

    Member BlackWizzard17 Don't worry Captin we'll buff out those scratches.

    Joined:
    Dec 1, 2012
    Messages:
    978
    Location:
    E-Arth
    Country:
    United States
    oh sorry.I installed Dios Mios cause i have a flashdrive, but every time i install (Dios Mios 2.4 wad) the gamecube game says 'you need to install Dios Mios to run this game'. And i think i messed up by either in stalling ios 222 v4 witch is to enable mic support for games like guitar hero i think or ios 202 v4 to watch movies.I just wanna know how to uninstall these new ios.
     
  4. ddetkowski

    Member ddetkowski GBAtemp Maniac

    Joined:
    Jun 15, 2009
    Messages:
    1,141
    Location:
    United States
    Country:
    United States
    So far from your 7 posts, you've hit the ground running, dude.
    the ios/cios you installed have nothing to do with playing GC games on the wii, they only effect wii games.
    Dios Mios 2.6 is what you want to install if your loading GC games from usb ONLY. DM from SD card only.
    Dont go uninstalling anything, or you'll surely end up with a bricked console.
    Have you checked out ModMii? if not, use it.
     
  5. BlackWizzard17
    OP

    Member BlackWizzard17 Don't worry Captin we'll buff out those scratches.

    Joined:
    Dec 1, 2012
    Messages:
    978
    Location:
    E-Arth
    Country:
    United States
    ohhhhhh,ok. thanks for helping me.but lets just say i install dios mios 2.6 but it wont load, would that be a big problem.
     
  6. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,458
    Location:
    Engine room, learning
    Country:
    France
    Which loader are you using to launch the gamecube backup?
    If it says that you need DIOS MIOS, it probably because it didn't detect the installed MIOS correctly, or you have a wrong/old version of the loader not compatible with recent MIOS.
     
  7. BlackWizzard17
    OP

    Member BlackWizzard17 Don't worry Captin we'll buff out those scratches.

    Joined:
    Dec 1, 2012
    Messages:
    978
    Location:
    E-Arth
    Country:
    United States
    i use usbloader gx one that is compatible with it because the 3.0v didnt work.oh and not to borther anyone, but can i get a hint on how to use the 2 disc feature with dios mios 2.6, you can e-mail me at gviera95@yahoo.com no caps and no spam pls
     
  8. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,458
    Location:
    Engine room, learning
    Country:
    France
    Is it still asking you to install DIOS MIOS to run the game?

    Go into the settings > Last page > Credit
    Look at the top of the page, if the loader detects DIOS MIOS then you will see the version number "DIOS MIOS 2.5+".
    If you don't see that, then it means the loader didn't detect DIOS MIOS.
    There are two different possibility why it's not detected:

    1. You use the version "IOS222" and don't have the correct meta.xml file in apps/usbloader_gx/ folder.
    2. You are still using an old USBLoaderGX (use revision 1203 or newer. Old version can't detect DIOS MIOS if you use IOS222)
     
  9. BlackWizzard17
    OP

    Member BlackWizzard17 Don't worry Captin we'll buff out those scratches.

    Joined:
    Dec 1, 2012
    Messages:
    978
    Location:
    E-Arth
    Country:
    United States
    wait if installed a cios 222 than old usbloaders wont work
     
  10. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,458
    Location:
    Engine room, learning
    Country:
    France
    not "install" but "using".

    If you set IOS222 in the settings, then after launching it will reload to that IOS.
    But that IOS has no access to NAND, and can't detect DIOS MIOS.

    I fixed that problem in revision 1202, but you need the correct meta.xml file.

    Best setup:

    Setting > Loader setting : set the IOS to 249
    Then ONLY for music games, go to the games > preferences > Game setting > Set the IOS for THAT game to 222 or 223.
    Restart the loader, and go to the Credit page to see if DIOS MIOS is detected now.
    Oh, and of course, don't use old revision, update to r1204.
     
  11. BlackWizzard17
    OP

    Member BlackWizzard17 Don't worry Captin we'll buff out those scratches.

    Joined:
    Dec 1, 2012
    Messages:
    978
    Location:
    E-Arth
    Country:
    United States
    ok i think i would need a full tutorial.
    First i instlled dios mios 2.6 for usb flash drive not sd.
    But when i installed it i culd only load my one game off my sd card but i installed dios mios.
    allso didnt want to install cios 222 because i thought it was to support usb2.0 only till later when i found out it wasnt.
    pls i need help and thank you for helpng me whoerver posted, gosh im such a NoOb :wacko:
     
  12. BlackWizzard17
    OP

    Member BlackWizzard17 Don't worry Captin we'll buff out those scratches.

    Joined:
    Dec 1, 2012
    Messages:
    978
    Location:
    E-Arth
    Country:
    United States
    Would it be clear if i post whats wrong?
     
  13. BlackWizzard17
    This message by BlackWizzard17 has been removed from public view by Cyan, Dec 5, 2012, Reason: Duplicate.
    Dec 5, 2012
  14. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,458
    Location:
    Engine room, learning
    Country:
    France
    cIOS222 is not "for USB2".
    ALL cIOS are for USB2.

    cIOS are all doing something different, and you can have all cIOS installed at the same time on your Wii.
    When you use a homebrew, it loads in memory the cIOS that you decide (or that the homebrew need). It can use only one cIOS at a time, choosing from all the list of cIOS that you have on your console.
    So, having a cIOS is not a problem for another cIOS. you can have plenty of them (up to 255 IOS!).

    The only thing that you can't have in multiple is the MIOS (the IOS for GameCube games).


    Your Wii looks like this:
    BC, MIOS, IOS1 to IOS255.
    IOS1 to 255 are only "places" where data can be installed (we call it a slot).

    When you launch a homebrew, it need a IOS (USBloader usually need the IOS located at the place number 249 or at the place number 222).
    ***

    What you need on your Wii:
    BC, MIOS, IOS58, IOS222, IOS223, IOS249

    When you launch the homebrew channel, it need IOS58
    When you launch the USBLoaderGX version249, it need IOS249 (this version will detected the current MIOS version that you have on your Wii, remember you can have only one MIOS)
    when you launch the USBLoaderGX version222, it need IOS222 (this version will NOT detect the current MIOS version that you have on your wii)
    if you don't have the needed IOS installed, the wii reboot.

    After launching the USBLoaderGX, you can launch games.
    All games also need a IOS (sometime a different IOS). so you tell USBLoaderGX that Game1 need IOS249, and Game2 need IOS249, and Game3 (a music game) need IOS222 or IOS223.
    And when you launch Game3 it load the IOS that you decided in memory before launching the game.
    You understand that you can tell to the loader to use a different IOS for each game?

    Each IOS has different features, like "mic and wiispeak" or "read MIOS version".
    You need to tell USBLoaderGX to use the correct IOS depending on what you want to do.

    ***
    If you don't know what IOS your Wii currently has installed, you can use modmii program to re-softmod your Wii. It will install ALL the needed IOS correctly. then DO NOT replace or delete IOS.
    You can also launch the homebrew "syscheck" that you can find in my signature, and follow the guide. It will list all you have on your Wii.
     
  15. BlackWizzard17
    OP

    Member BlackWizzard17 Don't worry Captin we'll buff out those scratches.

    Joined:
    Dec 1, 2012
    Messages:
    978
    Location:
    E-Arth
    Country:
    United States
    Thanks dude you are very cool:lol:I just wish i knew ore like you
     
  16. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,458
    Location:
    Engine room, learning
    Country:
    France
    Did you understood what I explained (How your wii is working internally)?

    Did you re-softmod it, or did you used syscheck to get a list of IOS installed on your Wii?
    If you use syscheck, please post the report here, then I will continue helping you. one step at a time.
     
  17. BlackWizzard17
    OP

    Member BlackWizzard17 Don't worry Captin we'll buff out those scratches.

    Joined:
    Dec 1, 2012
    Messages:
    978
    Location:
    E-Arth
    Country:
    United States
    Well im gonna get to re-soft modding my wii. If i have any troble ill tell you, thanks for the support i appreciate it
     
  18. BlackWizzard17
    OP

    Member BlackWizzard17 Don't worry Captin we'll buff out those scratches.

    Joined:
    Dec 1, 2012
    Messages:
    978
    Location:
    E-Arth
    Country:
    United States
    I just have one more question, what loader does dios mios 2.6 support?My old verstion doesn't detect it and my new one doesn't isn't compatible.
     
  19. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,458
    Location:
    Engine room, learning
    Country:
    France
    you mean what other USB loaders? wiiflow, cfg loader, DMbooter
    or which version of USBLoaderGX ? r1204

    in GX, if it tells "2.5+" then it's fine. 2.6 is "+" than 2.5
    it means 2.5 "and above"
     
  20. BlackWizzard17
    OP

    Member BlackWizzard17 Don't worry Captin we'll buff out those scratches.

    Joined:
    Dec 1, 2012
    Messages:
    978
    Location:
    E-Arth
    Country:
    United States
    YAY, I GOT EVERYTHING BACK TO NORMAL. I used mod mii to get the right cios plus my revomed ios 249 back. One again im able to play gc games,thank you for your support Cyan for helping me and not calling me a noob. If i could give you $1000 i would lol. Thank you every one who tried to help me especially Cyran. (now if i just new how to play 2-disc games) XD
     
  21. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,458
    Location:
    Engine room, learning
    Country:
    France
    to play 2 dics games:

    Disc1 and Disc2 ISO file must be in the same folder.
    Disc1 filename: game.iso
    Disc2 filename: disc2.iso

    That's all.
    If you are installing games from your disc, the iso will go in their own folders (two different places) with both files named "game.iso".
    On your computer, rename the second disc to "disc2.iso" and move the file into the first disc folder.

    next revision of USBLoaderGX (not released publicly yet) has auto-detection of Disc2 and dump the files in the correct folder.
     

Share This Page